#!/bin/sh
myName=`basename $0`
cfgPath="@l_prefix@/etc/bacula"
case "$myName" in
     bacula-dir   ) cfg="bacula-dir.conf"   ;;
     bacula-fd    ) cfg="bacula-fd.conf"    ;;
     bacula-sd    ) cfg="bacula-sd.conf"    ;;
     bconsole     ) cfg="bconsole.conf"     ;;
     bcopy        ) cfg="bacula-sd.conf"    ;;
     bextract     ) cfg="bacula-sd.conf"    ;;
     bls          ) cfg="bacula-sd.conf"    ;;
     bscan        ) cfg="bacula-sd.conf"    ;;
     dbcheck      ) cfg="bacula-dir.conf"   ;;
     tray-monitor ) cfg="tray-monitor.conf" ;;
     wx-console   ) cfg="wx-console.conf"   ;;
     *            ) echo "bexec: illegal link to '$0'" 1>&2; exit 1 ;;
esac
cfg="$cfgPath/$cfg"
#   The user is still able to specify own config files, because
#   the commands accept multiple '-c' options. The last '-c' wins.
exec @l_prefix@/libexec/bacula/$myName -c $cfg "$@"
